Omniplex Docs

Changelog

These API endpoints are related to the curated, staff-authored release history for Popplio, Omniplex, and Keel.

Get Changelog List

GET
/changelogs/@all

Gets published changelog entries for Popplio, Omniplex, and/or Keel, newest first.

Query Parameters

project?string

Filter to one project: 'popplio', 'omniplex', or 'keel'. Omit for all.

package?string

Filter to one package within the project, such as 'sdk-js'. Omit for all.

Response Body

Success

application/json
  1. response
entries?array<>

The list of published changelog entries

Example Request
curl -X GET 'https://spider.omniplex.gg/changelogs/@all'
Example Response
{  "entries": [    {      "added": [        "string"      ],      "author": {        "avatar": "string",        "bot": true,        "display_name": "string",        "extra_data": {          "property1": null,          "property2": null        },        "flags": [          "string"        ],        "id": "string",        "status": "string",        "username": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "extra_description": "string",      "fixed": [        "string"      ],      "itag": "string",      "package": "string",      "prerelease": true,      "project": "string",      "removed": [        "string"      ],      "security": [        "string"      ],      "updated": [        "string"      ],      "version": "string"    }  ]}